/**
 * Created by Sam R.
 * on 01-05-2011
 * at 16:49
 */
package com.cirrial.ld20 {
import org.flixel.FlxGroup;
import org.flixel.FlxSprite;
import org.flixel.FlxText;

public class Hud extends FlxGroup {
    [Embed(source = '../../../../data/graphics/hud.png')]
    private var ImgHudBase:Class;
    [Embed(source = '../../../../data/graphics/cerastes.png')]
    private var ImgCerastes:Class;
    [Embed(source = '../../../../data/graphics/partner_portrait.png')]
    private var ImgPartner:Class;

    public var hudOverlay:FlxSprite;
    public var healthFade:FlxSprite;
    public var portrait:FlxSprite;

    public var partnerText:FlxText;
    public var messageText:FlxText;

    public function Hud() {
        super();

        healthFade = new FlxSprite(0, 0);
        healthFade.makeGraphic(Main.SCREEN_WIDTH/Main.ZOOM_LEVEL, Main.SCREEN_HEIGHT/Main.ZOOM_LEVEL, 0xFF800000);
        healthFade.scrollFactor.x = 0;
        healthFade.scrollFactor.y = 0;
        healthFade.alpha = 0.0;
        add(healthFade);

        hudOverlay = new FlxSprite(0, 0);
        hudOverlay.loadGraphic(ImgHudBase, false, false, 320, 240);
        hudOverlay.scrollFactor.x = 0;
        hudOverlay.scrollFactor.y = 0;
        add(hudOverlay);

        portrait = new FlxSprite(6, 196);
        portrait.visible = false;
        portrait.scrollFactor.x = 0;
        portrait.scrollFactor.y = 0;
        add(portrait);

        partnerText = new FlxText(2, 2, 100);
        partnerText.setFormat("gameFont", 10, 0xFFC0C0C0);
        partnerText.scrollFactor.x = 0;
        partnerText.scrollFactor.y = 0;
        add(partnerText);

        messageText = new FlxText(48, 195, 270);
        messageText.setFormat("gameFont", 10, 0xFFE0E0E0);
        messageText.scrollFactor.x = 0;
        messageText.scrollFactor.y = 0;
        add(messageText);
    }

    override public function update():void {
        if(PlayState.player.thrownRobot) {
            if(PlayState.player.partner.deployed) {
                partnerText.text = "Deployed";
            } else {
                partnerText.text = "In Flight";
            }
        } else {
            partnerText.text = "Standby";
        }
    }

    public function showMessage(name:String, message:String):void {
        portrait.visible = true;
        switch(name) {
            case "cerastes":
                portrait.loadGraphic(ImgCerastes);
                break;
            case "partner":
                portrait.loadGraphic(ImgPartner);
                break;
        }
        messageText.text = message;
    }
}
}
